> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inference Analysis Artificialanalysis Models

> Artificial Analysis で利用可能なモデルの一覧を返します。

この API は認証なしで利用できます。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json get /inference/analysis/artificialanalysis/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/analysis/artificialanalysis/models:
    get:
      tags:
        - Inference
      summary: Inference Analysis Artificialanalysis Models
      description: |-
        Artificial Analysis で利用可能なモデルの一覧を返します。

        この API は認証なしで利用できます。
      operationId: >-
        inference_analysis_artificialanalysis_models_inference_analysis_artificialanalysis_models_get
      responses:
        '200':
          description: 正常なレスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouterOpenRouterModelsRes'
components:
  schemas:
    RouterOpenRouterModelsRes:
      properties:
        data:
          items:
            $ref: '#/components/schemas/RouterOpenRouterModel'
          type: array
          title: Data
      type: object
      required:
        - data
      title: RouterOpenRouterModelsRes
    RouterOpenRouterModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        created:
          type: integer
          title: Created
        input_modalities:
          items:
            type: string
          type: array
          title: Input Modalities
        output_modalities:
          items:
            type: string
          type: array
          title: Output Modalities
        quantization:
          type: string
          enum:
            - int4
            - int8
            - fp4
            - fp6
            - fp8
            - fp16
            - bf16
            - fp32
          title: Quantization
        context_length:
          type: integer
          title: Context Length
        max_output_length:
          type: integer
          title: Max Output Length
        pricing:
          $ref: '#/components/schemas/Pricing'
        supported_sampling_parameters:
          items:
            type: string
            enum:
              - temperature
              - top_p
              - top_k
              - repetition_penalty
              - frequency_penalty
              - presence_penalty
              - stop
              - seed
          type: array
          title: Supported Sampling Parameters
        supported_features:
          items:
            type: string
            enum:
              - tools
              - json_mode
              - structured_outputs
              - web_search
              - reasoning
          type: array
          title: Supported Features
        datacenters:
          items:
            $ref: '#/components/schemas/Datacenter'
          type: array
          title: Datacenters
        deprecation_date:
          anyOf:
            - type: string
            - type: 'null'
          title: Deprecation Date
          description: モデルが非推奨となる日付（YYYY-MM-DD）。設定されていない場合、出力には含まれません。
      type: object
      required:
        - id
        - name
        - created
        - input_modalities
        - output_modalities
        - quantization
        - context_length
        - max_output_length
        - pricing
        - supported_sampling_parameters
        - supported_features
        - datacenters
      title: RouterOpenRouterModel
    Pricing:
      properties:
        prompt:
          type: string
          title: Prompt
        completion:
          type: string
          title: Completion
        image:
          type: string
          title: Image
        request:
          type: string
          title: Request
        input_cache_read:
          type: string
          title: Input Cache Read
      type: object
      required:
        - prompt
        - completion
        - image
        - request
        - input_cache_read
      title: Pricing
      description: |-
        pricing の値はすべて、1 token あたりの USD です。

        浮動小数点精度の問題を避けるため、pricing フィールドは文字列形式になっています。
    Datacenter:
      properties:
        country_code:
          type: string
          title: Country Code
      type: object
      required:
        - country_code
      title: Datacenter

````